package com.damiens.lutecia.petfun.Jour;

import android.content.Context;
import android.graphics.Bitmap;

/**
 * Created by Lutécia on 07/05/2017.
 */

public class Image {
    private Bitmap bitmap;

    //Variables propres au singleton
    private static Context context;
    private static Image ImageSingleton; //unique instance

    //Méthode de restauration de contexte
    public Image(Context context){
        this.context=context;
    }

    //Methode de recuperation de l'instance de la BDD
    public static synchronized Image getInstance(Context context){
        //Création de la base de données et de sa table
        if(ImageSingleton==null) {
            ImageSingleton = new Image(context);
        }
        return ImageSingleton;
    }

    public void setImage(Bitmap b)
    {
        bitmap = b;
    }

    public Bitmap getImage()
    {
        return this.bitmap;
    }
}
