#ifdef DEBUG
#include <stdio.h>
#endif
#include <avr/io.h>
#include <stdio.h>
#include <stdlib.h>
#ifdef DEBUG
#include "serial.h"
#endif

#include "spi.h"
#include "SdInfo.h"
#include "Sd2Card.h"
#include <avr/io.h>		// for the input/output register
#include <util/delay.h>
#include <avr/interrupt.h> 

#define BLOC_NO		16
#define BLOC_TAILLE	512

int main(void)
{
   DDRB |= 0xFF;
  // PORTD = 0xFF;
#ifdef TEST_WRITE
uint8_t bloc1[BLOC_TAILLE]={0xaa,0xbb,0xcc};
uint8_t bloc2[BLOC_TAILLE]={0xdd,0xee,0xff};
uint8_t bloc3[BLOC_TAILLE]={0x11,0x22,0x33};


#endif
#ifdef TEST_READ
uint8_t bloc1[BLOC_TAILLE];
 uint8_t bloc2[BLOC_TAILLE];
 uint8_t bloc3[BLOC_TAILLE];
#endif
#ifdef DEBUG
init_printf();
#endif
SD_info sd;
spi_init();
int stat=sd_init(&sd);
#ifdef DEBUG
 printf("status de la carte sd = %d\n",stat);
printf("status=%x\n",sd.status_);
 printf("erreur=%x\n",sd.errorCode_);//
printf("type=%x\n",sd.type_);
uint32_t size=cardSize(&sd);
printf("taille=%ld\n",size);
#endif
#ifdef TEST_WRITE
printf("Ecriture\n");
int statut=writeBlock(&sd,16,bloc1);
printf("statut=%x\n",statut);
 bloc1[4]=0x01;
 statut=writeBlock(&sd,512,bloc1);
printf("statut=%x\n",statut);
 statut=writeBlock(&sd,16,bloc1);
printf("statut=%x\n",statut);


#endif
#ifdef TEST_READ
printf("Lecture\n");
int statut=readBlock(&sd,16,bloc1);
#ifdef DEBUG
printf("statut=%x\n",statut);
int i;
for(i=0;i<6;i++) printf("bloc[%d]=%x ",i,bloc1[i]);
 #endif
 statut=readBlock(&sd,512,bloc2);
#ifdef DEBUG
printf("statut=%x\n",statut);
for(i=0;i<6;i++) printf("bloc[%d]=%x ",i,bloc2[i]);
 #endif
 
#endif
 
return 0;
}
